# Class: UserService

## module:core.services. UserService

User service provides access to information about loaded users (synchronously).

#### new UserService(options)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | Object | Options object. ###### Properties
  Name | Type | Description
  --- | --- | ---
  `dataProvider` | Object | A data provider object that must contain method `listUsers()`. The method returns an array of objects of the following signature: `{ id, name, userName, abbreviation, avatarUrl, url }`. For example: `{ id: 'user.1', name: 'Jack Crook', userName: 'jcrook', abbreviation: 'JC', avatarUrl: '/avatars?id=user.1', url: '#People/1' }`

#### Search results